Bug 1215825 - [RFE] Showing Packages that can be updated on a content-host via the UI
Summary: [RFE] Showing Packages that can be updated on a content-host via the UI
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: WebUI
Version: 6.1.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: Unspecified
Assignee: Justin Sherrill
QA Contact: Brad Buckingham
URL:
Whiteboard:
: 1239329 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-04-27 20:37 UTC by Rich Jerrido
Modified: 2019-08-12 14:08 UTC (History)
10 users (show)

Fixed In Version: tfm-rubygem-katello-3.4.4
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-21 12:29:34 UTC
Target Upstream Version:


Attachments (Terms of Use)
Satellite 6.3 - Content Host listing - shows package updates needed (70.66 KB, image/png)
2017-09-06 19:33 UTC, Brad Buckingham
no flags Details
Satellite 6.3 - Content Host - Applicable Packages (100.49 KB, image/png)
2017-09-06 19:33 UTC, Brad Buckingham
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 5148 0 None None None 2017-07-26 12:58:44 UTC
Foreman Issue Tracker 16533 0 None None None 2017-07-26 12:59:05 UTC
Foreman Issue Tracker 16637 0 None None None 2017-07-26 12:58:16 UTC
Red Hat Product Errata RHSA-2018:0336 0 normal SHIPPED_LIVE Important: Satellite 6.3 security, bug fix, and enhancement update 2018-02-21 22:43:42 UTC

Description Rich Jerrido 2015-04-27 20:37:15 UTC
Description of problem:
As a user of Satellite 6.1, I would like the ability to see on the 'Content Hosts' page (Hosts->Content-Hosts) of the Satellite the number of packages (RPMs) that a host needs to become fully updated. 

Version-Release number of selected component (if applicable):
katello-2.2.0.8-1.el6_6sat.noarch


Additional info:
Today on the content-hosts page, we list installable errata (RHEA|RHBA|RHSA). However, much of my content is synchronized in from yum repositories that do not provide errata metadata. Thus, my content views are created from a mix of sources; some with errata metadata; some without. 

Having this capability prominently displayed will allow me to determine how many packages need to be updated on a content-host.

Comment 1 RHEL Program Management 2015-04-27 20:43:19 UTC
Since this issue was entered in Red Hat Bugzilla, the release flag has been
set to ? to ensure that it is properly evaluated for this release.

Comment 6 Bryan Kearney 2016-05-05 20:08:38 UTC
Upstream bug component is WebUI

Comment 7 Bryan Kearney 2016-05-06 14:08:11 UTC
Upstream bug component is WebUI

Comment 8 Bryan Kearney 2016-07-08 20:25:05 UTC
Per 6.3 planning, moving out non acked bugs to the backlog

Comment 12 Bryan Kearney 2016-10-07 18:56:35 UTC
*** Bug 1239329 has been marked as a duplicate of this bug. ***

Comment 16 pm-sat@redhat.com 2017-08-02 22:04:47 UTC
Upstream bug assigned to jsherril@redhat.com

Comment 17 pm-sat@redhat.com 2017-08-02 22:04:51 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/5148 has been resolved.

Comment 18 pm-sat@redhat.com 2017-08-03 22:05:40 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/5148 has been resolved.

Comment 19 Brad Buckingham 2017-09-06 19:32:45 UTC
Verified with Satellite 6.3 SNAP 14: satellite-6.3.0-17.0.beta.el7sat.noarch, tfm-rubygem-katello-3.4.5-1.el7sat.noarch

With Satellite 6.3, user can now see a summary from the Content Hosts listing on the number packages that need upgrading on the content host.  In addition, they can go to the content host (Packages -> Applicable Packages) to see the list and perform package upgrades.

Attaching screenshots of the new UI.

Comment 20 Brad Buckingham 2017-09-06 19:33:25 UTC
Created attachment 1322798 [details]
Satellite 6.3 - Content Host listing - shows package updates needed

Comment 21 Brad Buckingham 2017-09-06 19:33:59 UTC
Created attachment 1322799 [details]
Satellite 6.3 - Content Host - Applicable Packages

Comment 24 errata-xmlrpc 2018-02-21 12:29:34 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:0336


Note You need to log in before you can comment on or make changes to this bug.